Subject: Re: PPP and Global Addresses

From: "Yamasaki Toshi" <[email-masked]>
Date: Fri, 15 Feb 2002 19:43:34 +0900

> "PD (Automatic Prefix Delegation)" doesn't specify any means to set the
> prefix pool the routers rely on for delegation, apart from a manual
setting.

Could you kindly explain what you mean by this sentence in another way? I
did't get the point...

> The DHCPv6 option could be used in this aim, and would be therefore
> complementary to PD...
> Moreover PD also deals with routing protocol negocation, and does then
more
> than just prefix delegation... This point is interesting in so far as the
> reachability of the subnet(s) corresponding to the delegated prefix must
be
> achieved in a way or another...

I believe PD and DHCP are not competing, but can live together, like RA and
DHCP can do so at a subnet.

My understanding is that PD is "third-party-serverless autoconfig" or
"third-party-server independent autoconfig" and DHCP is "third-party-server
dependent", because PD is for routers which actually delegate and route the
delegated prefix, and DHCP is not necessarily so.

>
> Yoann
>
> -----Message d'origine-----
> De : Yamasaki Toshi [mailto:[email-masked]]
> Envoye : jeudi 14 fevrier 2002 04:52
> A : Lilian Fernandes; [email-masked]
> Cc : [email-masked]
> Objet : Re: PPP and Global Addresses
>
>
>
> "PD (Automatic Prefix Delegation)" is one of the choices.
>
> draft-haberman-ipngwg-auto-prefix-01.txt
>
http://search.ietf.org/internet-drafts/draft-haberman-ipngwg-auto-prefix-01.
> txt
>
> To solve all the configuration issues with DHCPv6 might be another good
> choice, but I guess PD be a minimum requirement for those who want an
> automatic prefix delegation mechanism for (for example) IPv6 access
> services,  and DHCPv6 would be an option for those who want more.
>
> ---Toshi Yamasaki / NTT Communications
>
> > Hi,
> >
> > I have a question about RFC2472 - "IP Version 6 over PPP". The RFC talks
> > about the negotiation of the Interface-Identifier and specifies the
> > Interface-Identifier Configuration Option. In this case the upper 64
bits
> > are just fe80::
> >
> > It does not mention if there is any standard way to configure a
> > global/site-local prefix on a point-to-point link i.e. are there
> > configuration options to let one side tell the other about a global
> > prefix?
> >
> > Or is it just left upto the users at both ends to decide on a prefix
> > somehow and then configure it on each end?
> >
> > I'm sorry if there is an RFC about this that I missed...
> >
> > Thanks,
> > Lilian
> >
> > _____________________________________________________________________
> >
> > Lilian Fernandes
> > AIX TCP/IP Development - IBM Austin
> > Tel: 512-838-7966 Fax: 512-838-3509
> >
> >
> > --------------------------------------------------------------------
> > IETF IPng Working Group Mailing List
> > IPng Home Page:                      http://playground.sun.com/ipng
> > FTP archive:                      ftp://playground.sun.com/pub/ipng
> > Direct all administrative requests to [email-masked]
> > --------------------------------------------------------------------
> >
> >
>
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
>
>
>
>
>

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: NOISETTE Yoann FTRD/DMI/CAE <[email-masked]>
Date: Fri, 15 Feb 2002 11:03:22 +0100

"PD (Automatic Prefix Delegation)" doesn't specify any means to set the
prefix pool the routers rely on for delegation, apart from a manual setting.
The DHCPv6 option could be used in this aim, and would be therefore
complementary to PD...
Moreover PD also deals with routing protocol negocation, and does then more
than just prefix delegation... This point is interesting in so far as the
reachability of the subnet(s) corresponding to the delegated prefix must be
achieved in a way or another...

Yoann

-----Message d'origine-----
De : Yamasaki Toshi [mailto:[email-masked]]
Envoyé : jeudi 14 février 2002 04:52
À : Lilian Fernandes; [email-masked]
Cc : [email-masked]
Objet : Re: PPP and Global Addresses

> Interface-Identifier Configuration Option. In this case the upper 64 bits
> are just fe80::
>

---

From: Pekka Savola <[email-masked]>
Date: Wed, 20 Feb 2002 23:24:37 +0200 (EET)

> The DHCPv6 option could be used in this aim, and would be therefore

That can also be seen as a feature.  I certainly do.  (Note that e.g. with 
proposed address allocation proposals, you're supposed to document the use 
of /48's in the registries.. how do you do that with a prefix pool?).

> complementary to PD... Moreover PD also deals with routing protocol
> negocation, and does then more than just prefix delegation... This point
> is interesting in so far as the reachability of the subnet(s)
> corresponding to the delegated prefix must be achieved in a way or
> another...

IMO, protocol negotiation seems to be almost always extra cruft.  I don't
see it used at all where APD applies the best.

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords